summary refs log tree commit diff
diff options
context:
space:
mode:
Diffstat (limited to '')
-rw-r--r--git-fetch-email.sh4
1 files changed, 3 insertions, 1 deletions
diff --git a/git-fetch-email.sh b/git-fetch-email.sh
index 0979a46..704651b 100644
--- a/git-fetch-email.sh
+++ b/git-fetch-email.sh
@@ -26,7 +26,9 @@ from=$(git config fetchemail.from)
 to=$(git config fetchemail.to)
 cc=$(git config fetchemail.cc)
 
-set -- $(getopt 'C:F:S:T:h:m:p:' $*)
+args=$(getopt 'C:F:S:T:h:m:p:' $*)
+[ $? -ne 0 ] && exit 1
+set -- $args
 for opt; do
 	shift;
 	case "$opt" in
nroe Had to prefix the folder number onto these file names manually because they must have come out of a different scanner or something. 2024-09-15Add some more film stocks to the listJune McEnroe 2024-09-13Add photos from September 2June McEnroe 2024-09-13Add Fomapan 200 to films listJune McEnroe 2024-09-10Add August 29 picnic photosJune McEnroe 2024-09-08Apply some bold to trips renderingJune McEnroe This seems easier to visually scan. The only other thing I'd like is a nicer date rendering but JavaScript is useless for that. 2024-09-08Render trips hopefully more efficientlyJune McEnroe 2024-09-08Allow removing bodies and lensesJune McEnroe 2024-09-08Limit body width so it looks less silly on desktopJune McEnroe 2024-09-07Handle no film being loadedJune McEnroe 2024-09-07Fancy up the text a littleJune McEnroe